/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.3
 * 
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: putchar.c,v $
 *
 * HISTORY
 * $Log: putchar.c,v $
 * Revision 1.4  1996/01/30  22:54:40  slm
 * Updated copyright and version.
 *
 * Revision 1.3  1995/01/16  22:22:00  davidm
 * (putchar): added comment to explain why we do ugly things.
 *
 * Revision 1.2  1994/06/11  00:02:46  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/14  23:31:36  davidm
 * Initial revision
 */
/*
 * Write character to console.
 */
#include <machine/prom.h>
#include "alpha_console.h"
#include "alpha_misc.h"


int
putchar(int ch)
{
    int len = 1;
    /*
     * OSF/1 console can deal with 32 bit pointers only:
     */
    char* const buf = (char*) 0x20000ff8L;

    *buf = ch;
    if (ch == '\n') {
	buf[len++] = '\r';
    } /* if */
    PROM_PUTS(console_unit, buf, len);
    return ch;
} /* putchar */

			/*** end of putchar.c ***/
