/*
 * @COPYRIGHT@
 * @COPYRIGHT@
 *
 * $RCSfile: _longjmp.s,v $
 *
 * HISTORY
 * $Log: _longjmp.s,v $
 * Revision 1.2  1995/03/03  22:24:36  davidm
 * Header added.
 *
 */
#include <regdef.h>
#include <setjmp.h>

	.extern	scout_panic

	.globl	_longjmp
	.ent	_longjmp

_longjmp:
	ldgp	gp, (pv)

	mov	a1, v0
	lda	t0, JBMAGIC & 0xffff
	ldah	t0, ((JBMAGIC >> 16) & 0xffff)(t0)
	cmoveq	v0, 1, v0		# ensure v0 != 0

	ldq	t1, JB_MAGIC(a0)
	subq	t0, t1, t0
	ldq	sp, JB_SP(a0)
	bne	t0, bad_magic

	ldq	s0, JB_S0(a0)
	ldq	s1, JB_S1(a0)
	ldq	s2, JB_S2(a0)
	ldq	s3, JB_S3(a0)
	ldq	s4, JB_S4(a0)
	ldq	s5, JB_S5(a0)
	ldq	s6, JB_S6(a0)
	ldq	gp, JB_GP(a0)
	ldq	ra, JB_RA(a0)
#ifdef SCOUT_FPU_SUPPORT
	ldt	$f2, JB_F2(a0)
	ldt	$f3, JB_F3(a0)
	ldt	$f4, JB_F4(a0)
	ldt	$f5, JB_F5(a0)
	ldt	$f6, JB_F6(a0)
	ldt	$f7, JB_F7(a0)
	ldt	$f8, JB_F8(a0)
	ldt	$f9, JB_F9(a0)
#endif
	ret	(ra)

	.data
error_msg:
	.asciiz	"_longjmp: bad magic number"

	.text
bad_magic:
	lda	a0, error_msg
	lda	pv, scout_panic
	jsr	(pv)

	.end _longjmp
